Add an email address

POST/auth/v1/users/current/emails

Adds an email address to the authenticated account and sends a verification code to it. The address becomes active only once it has been verified via POST /auth/v1/email/verify. Subject to rate limiting per account.

Authorization<token>

In: header

Request Body

required
application/json
{
  "$ref": "#/components/schemas/internal_auth.addEmailBody",
  "$ref-value": {
    "properties": {
      "email": {
        "type": "string"
      }
    },
    "required": [
      "email"
    ],
    "type": "object"
  }
}

Response Body

200application/json

Verification code sent to the new address

type: unknown

{
  "$ref": "#/components/schemas/authv1.VerificationSentResponse",
  "$ref-value": {
    "properties": {
      "can_resend_at": {
        "type": "string"
      },
      "code_sent": {
        "type": "boolean"
      },
      "message": {
        "type": "string"
      },
      "verification_id": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/auth/v1/users/current/emails" \
  -H "Content-Type: application/json" \
  -d '{
    "email": "string"
  }'

Verification code sent to the new address

application/json

{
  "$ref": "#/components/schemas/authv1.VerificationSentResponse",
  "$ref-value": {
    "properties": {
      "can_resend_at": {
        "type": "string"
      },
      "code_sent": {
        "type": "boolean"
      },
      "message": {
        "type": "string"
      },
      "verification_id": {
        "type": "string"
      }
    },
    "type": "object"
  }
}